package com.loafle.overflow.model.infra;

import javax.persistence.*;

import com.loafle.overflow.model.meta.MetaIPType;

import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "INFRA_HOST_IP", schema = "public")
public class InfraHostIP {
  private Long id;
  private InfraHost infraHost;
  private MetaIPType metaIPType;
  private String ip;
  private String mac;
  private Date createDate;

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  @ManyToOne
  @JoinColumn(name = "INFRA_HOST_ID", nullable = false)
  public InfraHost getInfraHost() {
    return infraHost;
  }

  public void setInfraHost(InfraHost infraHost) {
    this.infraHost = infraHost;
  }

  @ManyToOne
  @JoinColumn(name = "META_IP_TYPE_ID", nullable = true)
  public MetaIPType getMetaIPType() {
    return metaIPType;
  }

  public void setMetaIPType(MetaIPType metaIPType) {
    this.metaIPType = metaIPType;
  }

  @Basic
  @Column(name = "IP", nullable = true)
  public String getIP() {
    return ip;
  }

  public void setIP(String ip) {
    this.ip = ip;
  }

  @Basic
  @Column(name = "MAC", nullable = true)
  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
